Log a note on the timeline
curl --request POST \
--url https://rxresu.me/api/openapi/applications/{id}/notes \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"text": "<string>",
"date": "<string>"
}
'import requests
url = "https://rxresu.me/api/openapi/applications/{id}/notes"
payload = {
"text": "<string>",
"date": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>', date: '<string>'})
};
fetch('https://rxresu.me/api/openapi/applications/{id}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"company": "<string>",
"role": "<string>",
"location": "<string>",
"salary": "<string>",
"status": "saved",
"archived": true,
"resumeId": "<string>",
"source": "<string>",
"tags": [
"<string>"
],
"sourceUrl": "<string>",
"jobDescription": "<string>",
"matchScore": 50,
"aiMetadata": {},
"notes": "<string>",
"resumeFileUrl": "<string>",
"resumeFileName": "<string>",
"coverLetterUrl": "<string>",
"coverLetterName": "<string>",
"followUpAt": "2023-11-07T05:31:56Z",
"followUpNote": "<string>",
"contacts": [
{
"name": "<string>",
"role": "",
"type": ""
}
],
"activity": [
{
"id": "<string>",
"at": "2023-11-07T05:31:56Z",
"type": "stage",
"stage": "saved"
}
],
"appliedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Applications
Log a note on the timeline
Appends a free-text note to the application’s activity timeline. Requires authentication.
POST
/
applications
/
{id}
/
notes
Log a note on the timeline
Authorizations
The API key to authenticate requests.
Path Parameters
Body
application/json
Minimum string length:
1Pattern:
^\d{4}-\d{2}-\d{2}$Response
200 - application/json
The updated application.
The ID of the application.
The company applied to.
Minimum string length:
1The role / job title.
Minimum string length:
1The current pipeline stage.
Available options:
saved, applied, screening, interview, offer, rejected The linked Reactive Resume, if any.
Maximum string length:
20000Required range:
0 <= x <= 100Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes